summaryrefslogtreecommitdiffstats
path: root/speech-dispatcher/speechd.rc
diff options
context:
space:
mode:
authortnut <tnut at nutyx dot com>2012-01-08 12:15:45 +0100
committertnut <tnut at nutyx dot com>2012-01-08 12:15:45 +0100
commit3f57a7f93b3e7550cbd73036f6a56654e17d1d5c (patch)
tree819b14ab0377fe2054fe59866669d904e9e0b4b5 /speech-dispatcher/speechd.rc
parentc9972ec7f32bf9d37388e853fe9bf633e242d05a (diff)
downloadnutyx-extra-3f57a7f93b3e7550cbd73036f6a56654e17d1d5c.tar.gz
nutyx-extra-3f57a7f93b3e7550cbd73036f6a56654e17d1d5c.tar.bz2
nutyx-extra-3f57a7f93b3e7550cbd73036f6a56654e17d1d5c.tar.xz
nutyx-extra-3f57a7f93b3e7550cbd73036f6a56654e17d1d5c.zip
split de git pakxe et NuTyX-extra
Diffstat (limited to 'speech-dispatcher/speechd.rc')
-rwxr-xr-xspeech-dispatcher/speechd.rc40
1 files changed, 40 insertions, 0 deletions
diff --git a/speech-dispatcher/speechd.rc b/speech-dispatcher/speechd.rc
new file mode 100755
index 000000000..3dca81ce8
--- /dev/null
+++ b/speech-dispatcher/speechd.rc
@@ -0,0 +1,40 @@
+#!/bin/sh
+########################################################################
+# Begin $rc_base/init.d/speechd
+#
+# Description : Speech-Dispatcher Daemon
+# Authors : piernov - <piernov@piernov.org>
+#
+########################################################################
+
+. /etc/sysconfig/rc
+. ${rc_functions}
+
+case "${1}" in
+ start)
+ boot_mesg "Starting speech dispatcher Daemon"
+ loadproc /usr/bin/speech-dispatcher -d
+ ;;
+ stop)
+ boot_mesg "Stopping speech dispatcher Daemon"
+ killproc /usr/bin/speech-dispatcher
+ ;;
+ reload)
+ boot_mesg "Reloading speech dispatcher Daemon"
+ reloadproc /usr/bin/speech-dispatcher -d
+ ;;
+ restart)
+ ${0} stop
+ sleep 1
+ ${0} start
+ ;;
+ status)
+ statusproc speech-dispatcher
+ ;;
+ *)
+ echo "Usage: ${0} {start|stop|reload|restart|status}"
+ exit 1
+ ;;
+esac
+
+# End $rc_base/init.d/sysklogd